--- old/usr/src/lib/print/mod_ipp/httpd-standalone-ipp.conf	2014-05-07 18:40:50.182479353 +0400
+++ new/usr/src/lib/print/mod_ipp/httpd-standalone-ipp.conf	2014-05-07 18:40:50.192379554 +0400
@@ -53,12 +53,6 @@
 #
 
 #
-# ServerType is either inetd, or standalone.  Inetd mode is only supported on
-# Unix platforms.
-#
-ServerType standalone
-
-#
 # ServerRoot: The top of the directory tree under which the server's
 # configuration, error, and log files are kept.
 #
@@ -67,7 +61,7 @@
 # (available at <URL:http://www.apache.org/docs/mod/core.html#lockfile>);
 # you will save yourself a lot of trouble.
 #
-ServerRoot "/usr/apache"
+ServerRoot "/usr/apache2/2.2"
 
 #
 # The LockFile directive sets the path to the lockfile used when Apache
@@ -192,25 +186,15 @@
 # Note: The order in which modules are loaded is important.  Don't change
 # the order below without expert advice.
 #
-LoadModule access_module libexec/mod_access.so
 LoadModule alias_module libexec/mod_alias.so
-LoadModule auth_module libexec/mod_auth.so
+LoadModule auth_basic_module libexec/mod_auth_basic.so
+LoadModule authn_file_module libexec/mod_authn_file.so
+LoadModule authz_host_module libexec/mod_authz_host.so
+LoadModule authz_user_module libexec/mod_authz_user.so
 LoadModule mime_module libexec/mod_mime.so
 LoadModule mime_magic_module libexec/mod_mime_magic.so
 LoadModule ipp_module libexec/mod_ipp.so
 
-#  Reconstruction of the complete module list from all available modules
-#  (static and shared ones) to achieve correct module execution order.
-#  [WHENEVER YOU CHANGE THE LOADMODULE SECTION ABOVE UPDATE THIS, TOO]
-ClearModuleList
-AddModule mod_access.c
-AddModule mod_alias.c
-AddModule mod_auth.c
-AddModule mod_mime.c
-AddModule mod_mime_magic.c
-AddModule mod_ipp.c
-AddModule mod_so.c
-
 ### Section 2: 'Main' server configuration
 #
 # The directives in this section set up the values used by the 'main'
@@ -234,7 +218,7 @@
 # Port: The port to which the standalone server listens. For
 # ports < 1023, you will need httpd to be run as root initially.
 #
-Port 631
+Listen 631
 
 #
 # If you wish httpd to run as a different user or group, you must run
